# Source Generated with Decompyle++
# File: in.pyc (Python 2.2)

import Image

class Dib:
    
    def __init__(self, mode, size):
        if mode not in [
            '1',
            'L',
            'P',
            'RGB']:
            mode = 'RGB'
        
        self.image = Image.core.display(mode, size)
        self.mode = mode
        self.size = size

    
    def expose(self, dc):
        return self.image.expose(dc)

    
    def draw(self, dc, dst, src = None):
        if not src:
            src = (0, 0) + self.size
        
        return self.image.draw(dc, dst, src)

    
    def query_palette(self, dc):
        return self.image.query_palette(dc)

    
    def paste(self, im, box = None):
        im.load()
        if self.mode != im.mode:
            im = im.convert(self.mode)
        
        if box:
            self.image.paste(im.im, box)
        else:
            self.image.paste(im.im)


